-- Schema: C6Mart
-- Stored Procedure: PL_FD182DettaglioProdottiESG






								
																		  
CREATE   procedure [C6Mart].[PL_FD182DettaglioProdottiESG] --'F','CTTDNY84M09F966M'
 -- Add the parameters for the stored procedure here
 @Rete char(1), 
 @CodiceFiscale varchar(16)

AS
BEGIN

-------------------------------------------------------------------------------------
--INIZIO INTERVENTI OMNIA QUIII
	DECLARE @TOTSELFLIQ AS INT
	SELECT @TOTSELFLIQ = COUNT(*)
	FROM C6MART.PATRIMONIO_BF
	WHERE PATRIMONIO_BF.RETE = @Rete
		AND PATRIMONIO_BF.COD_FISCALE = @CodiceFiscale
		AND ISIN in('EURO00000009', 'EURO10000007' )
		AND ID_AREA = 'LIQ'

	DECLARE @TOTLIQ AS INT
	SELECT @TOTLIQ = COUNT(*)
	FROM C6MART.PATRIMONIO_BF
	WHERE PATRIMONIO_BF.RETE = @Rete
		AND PATRIMONIO_BF.COD_FISCALE = @CodiceFiscale
		AND ID_AREA = 'LIQ'
--FINE INTERVENTI OMNIA QUIII
--------------------------------------------------------------------------------------

SELECT 
	CASE 
		when ISNULL(PATRBF.NOME_PROGETTO,'') like '%Direct EVO%' then 'Rob'--when robo.isProgettoRobo='S' then 'Rob'
		else 'ASF'
	END AS needarea,
	CASE 
		when ISNULL(PATRBF.NOME_PROGETTO,'') like '%Direct EVO%' then 'Portafoglio Direct Evo' --when robo.isProgettoRobo='S' then 'Portafoglio Direct Evo'
		else 'Portafoglio Base'
		--WHEN AREA.ID_AREA = 'Pre1' OR AREA.ID_AREA = 'Pre2' THEN 'Previdenza'
		--WHEN AREA.ID_AREA = 'Na'  THEN 'Non allocate'
		--ELSE AREA.NOME_AREA 
	END AS needareades,
CASE 
	--WHEN AREA.ID_AREA = 'Pre1' OR AREA.ID_AREA = 'Pre2' THEN  3 
	--ELSE AREA.ORDINAMENTO 
	--	WHEN robo.isProgettoRobo='S' THEN  1
	--ELSE 2
	WHEN ISNULL(PATRBF.NOME_PROGETTO,'') like '%Direct EVO%' then 1
	ELSE 2
END 
 AS areasortorder,
CASE 
	WHEN AREA.ID_AREA = 'Inv' AND PATRBF.NOME_PROGETTO IS NULL THEN 'Prodotti non associati a progetti'
	when isnull(trim(PATRBF.NOME_PROGETTO),'') not like '%Direct EVO%' then 'Default'
	ELSE ISNULL(PATRBF.NOME_PROGETTO,'')
	
END AS nome_progetto,
											   
	SUM(PATRBF.CTV ) OVER (PARTITION BY CASE 
		when ISNULL(PATRBF.NOME_PROGETTO,'') like '%Direct EVO%' then 'Portafoglio Direct Evo' --when robo.isProgettoRobo='S' then 'Portafoglio Direct Evo'
		else 'Portafoglio Base' end) AS somma_controval_needarea,
0 as ORDINAMENTO_PROGETTO,
	SUM(PATRBF.VERSATO_NETTO) OVER (PARTITION BY AREA.ID_AREA) AS versato_needarea,
		SUM(PATRBF.CTV ) OVER (PARTITION BY CASE 
		when ISNULL(PATRBF.NOME_PROGETTO,'') like '%Direct EVO%' then 'Portafoglio Direct Evo' --when robo.isProgettoRobo='S' then 'Portafoglio Direct Evo'
		else 'Portafoglio Base' end)--, PATRBF.ordinamento_progetto) 	
	AS somma_controval_need_prog,
CASE 
	WHEN AREA.ID_AREA = 'Inv' THEN SUM(PATRBF.VERSATO_NETTO) OVER (PARTITION BY --robo.isProgettoRobo, 
	PATRBF.NOME_PROGETTO) 
	ELSE NULL
END	AS versato_need_prog,
	dbo.TOSHORTDATESTRING(PATRBF.DATA_SOTTOSCRIZIONE) AS dataSottoscrizione, 
	PATRBF.ID_CONTRATTO AS ContrattoDossier, 

	CASE WHEN PATRBF.TIPO_PRODOTTO <> 'CC' THEN ANAGPROD.DESCR_PRODOTTO
		 ELSE ANAGPROD.DESCR_PRODOTTO+' '+SUBSTRING(COD_CC,4,2) + '/' + SUBSTRING(COD_CC,6,LEN(ANAG_CC.COD_CC))
	END AS Descrizione,


    case when ESG_E = 'SI' then 'Sė' else 'No' end as ESG_E,
    case when ESG_S = 'SI' then 'Sė' else 'No' end as ESG_S,
    case when ESG_G = 'SI' then 'Sė' else 'No' end as ESG_G,
    case when CatSFDR <> '' then esg.CatSFDR else '-' end as CatSFDR,
    case when ESGRating <> '' then esg.esgrating else '-' end as ESGRating,
    case when TrendESGRating <> '' then esg.TrendESGRating else '-' end as TrendESGRating,
																																				

	PATRBF.CTV AS Controvalore, 
--	PATRBF.VERSATO_NETTO AS VersatoNetto, 
--	CASE WHEN PATRBF.VERSATO_NETTO IS NULL THEN 'n.d.' ELSE NULL END as VersatoNettoString,
--	PATRBF.CTV - PATRBF.VERSATO_NETTO AS MinusPlusValenza, 
--	CASE WHEN PATRBF.VERSATO_NETTO IS NULL THEN 'n.d.' ELSE NULL END as MinusPlusValenzaString,
	--RISCHIO_PROD.VAR_PERC_PTF AS VaRprodotto,  --commentata per assenza o,oo per i cc 
